package de.meinefirma.meinprojekt;

import static org.junit.Assert.*;
import java.io.File;
import java.nio.charset.StandardCharsets;
import java.util.List;
import org.apache.lucene.document.Document;
import org.junit.Test;

public class LuceneSimpleUtilTest
{
   @Test
   public void testLuceneSearch() throws Exception
   {
      String docsPath  = "src";
      String indexPath = "target/LuceneIndex";
      String charEnc   = StandardCharsets.UTF_8.toString();
      String suchWort  = "Lucene";

      System.out.println( "Indexerstellung im Verzeichnis:         " + indexPath );
      System.out.println( "Zu indizierende Dateien im Verzeichnis: " + docsPath  );
      System.out.println( "Character-Encoding:                     " + charEnc   );
      System.out.println( "Indizierte Dateien:" );
      List<File> filesIndexed = LuceneSimpleUtil.indexFiles( docsPath, charEnc, indexPath, true );
      System.out.println( filesIndexed );
      assertNotNull( filesIndexed );
      assertEquals( 2, filesIndexed.size() );

      System.out.println( "Suchwort '" + suchWort + "' gefunden in:" );
      List<Document> docs = LuceneSimpleUtil.searchFiles( indexPath, suchWort, 100 );
      for( Document doc : docs ) {
         System.out.println( doc.get( "path" ) );
      }
      assertEquals( 1, docs.size() );
   }
}
